/*
 * @Company: hugeInfo
 * @Author: lwh
 * @Date: 2023-03-31 10:59:35
 * @LastEditTime: 2023-04-01 14:35:01
 * @LastEditors: lwh
 * @Version: 1.0.0
 * @Description: 
 */
import React, { useEffect } from 'react';
import { useHistory } from 'react-router-dom';
import { Space } from 'dingtalk-design-mobile';
import { DownArrow2Outlined } from "dd-icons";
import MyList from '../MyList';
import './index.less';
import { dateFormat, getUpdateStr, searchTitle } from '../../utils/utility';
import { CaretUpOutlined, CaretDownOutlined } from '../../assets/icon';
import routerStatus from '../../status/router';

const AnalysisList = ({ search, data, hasMore, getScrollTopKey, scrollTop, searchValue, getAnalysis }) => {
  const history = useHistory();

  // 加载更多数据
  function handleLoadMore(callback) {
    console.log('加载更多数据');
    getAnalysis({ ...search, page: search.page + 1 }, '', callback);
  }

  // 楼栋更新
  useEffect(() => {
    if (routerStatus.spinPage['analysis']) {
      getAnalysis({ ...search, page: 1, size: search.page * search.size }, 'spin');
      routerStatus.setPageScrollTopNow('analysis');
      routerStatus.clearSpinPage('analysis');
    }
  }, [routerStatus.spinPage['analysis']]);

  return (
    <>
      <div className='analysis-List-head'>
        <div className='analysis-List-head-col1'>序</div>
        <div style={{ width: '50px', padding: '4px' }}>辖区</div>
        <div className='analysis-List-head-col2' style={{ display: 'flex', alignItems: 'center' }}>
          <span className='analysis-List-head-orange'>人口</span>
          <div className='analysis-List-flex'>
            <img className='analysis-List-head-img1' src={CaretUpOutlined} alt="" />
            <img className='analysis-List-head-img2' src={CaretDownOutlined} alt="" />
          </div>
        </div>
        <div className='analysis-List-head-col2' style={{ display: 'flex', alignItems: 'center' }}>
          <span>户数</span>
          <div className='analysis-List-flex'>
            <img className='analysis-List-head-img1' src={CaretUpOutlined} alt="" />
            <img className='analysis-List-head-img2' src={CaretDownOutlined} alt="" />
          </div></div>
        <div className='analysis-List-head-col2' style={{ display: 'flex', alignItems: 'center' }}>
          <span className='analysis-List-head-blue'>楼栋</span>
          <div className='analysis-List-flex'>
            <img className='analysis-List-head-img1' src={CaretUpOutlined} alt="" />
            <img className='analysis-List-head-img2' src={CaretDownOutlined} alt="" />
          </div>
        </div>
        <div className='analysis-List-head-col2' style={{ display: 'flex', alignItems: 'center' }}>
          <span>房间</span>
          <div className='analysis-List-flex'>
            <img className='analysis-List-head-img1' src={CaretUpOutlined} alt="" />
            <img className='analysis-List-head-img2' src={CaretDownOutlined} alt="" />
          </div>
        </div>
      </div>
      {data.map((item, index) => {
        return (
          <div key={`analy${index}`} className='analysis-List-item' style={{ backgroundColor: index % 2 ? 'rgba(230, 228, 234, 0.64)' : '#fff' }}>
            <div className='analysis-List-item-col1'>{index + 1}</div>
            <div style={{ width: '50px', padding: '4px' }}>{'美兰区'}</div>
            <div className='analysis-List-item-col2'>
              <div className='analysis-List-head-orange analysis-List-head-small-size' style={{ paddingBottom: '2px' }}>694247</div>
              <div className='analysis-List-head-small-size'>当日<span className='analysis-List-head-orange'>+883</span></div>
            </div>
            <div className='analysis-List-item-col2'>
              <div className='analysis-List-head-small-size' style={{ paddingBottom: '2px' }}>694247</div>
              <div className='analysis-List-head-small-size'>当日+883</div>
            </div>
            <div className='analysis-List-item-col2'>
              <div className='analysis-List-head-blue analysis-List-head-small-size' style={{ paddingBottom: '2px' }}>694247</div>
              <div className='analysis-List-head-small-size'>当日<span className='analysis-List-head-blue'>+883</span></div>
            </div>
            <div className='analysis-List-item-col2'>
              <div className='analysis-List-head-small-size' style={{ paddingBottom: '2px' }}>694247</div>
              <div className='analysis-List-head-small-size'>当日+883</div>
            </div>
          </div>
        );
      })}
      {
        hasMore &&
        <div className='analysis-List-item-more' onClick={handleLoadMore}>
          <span>展开更多数据 <DownArrow2Outlined /></span>
        </div>
      }
    </>
  )
}

export default AnalysisList